%define name fotoxx

Summary: Editor of image files from digital cameras
Summary(de): Editor mit grundlegenden Funktionen zum Verbessern von Digitalfotos
Name: %name
Version: 23.60
Release: %mkrel 1
Group: Graphics
License: GPLv3
URL: http://kornelix.squarespace.com/fotoxx
BuildRoot: %_tmppath/%name-%version-%release-buildroot
Source0: %name-%version-source.tar.xz
#------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}freeimage-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}champlain-devel
BuildRequires: xdg-utils
BuildRequires: ufraw
BuildRequires: perl-Image-ExifTool
#------------------------------------------ 
Requires: leafpad
Requires: ufraw 
Requires: dcraw
Requires: gtk+3.0
Requires: exiv2
Requires: perl-Image-ExifTool
Requires: printoxx
Requires: %{_lib}freeimage3 
Requires: %{_lib}exif-gtk5
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes: %name < %version

%description
Navigate image collection with thumbnail browser, view and edit 
images, change brightness distribution, manipulate color, trim,
make panorama and HDR images, rotate, rescale, warp, fix red-eyes, 
fix perspective, sharpen, blur, remove noise. Assign tags/keywords
and star-ratings to images, search by tags/date/rating. Edits can 
also be made within a mouse-selected area with smooth blending of 
the edges. Convert RAW files to TIFF and edit 16 bits/color.

%description -l de
fotoxx ist ein Open-Source-Programm für Linux mit grundlegenden Funktionen zum Verbessern von Digitalfotos. 
Auf der Homepage des Projektes gibt es eine Gallerie mit Beispielfotos der Fähigkeiten u. A. 
Ordnernavigation, Anzeige von Exif-Informationen, Beschneiden, Skalieren, Panorama und HDR-Funktion,
Rote-Augen-Unterdrückung, Rotation, Farbabstimmung, Schärfen, Rauschunterdrückung und Entzerren. 
Das Programm ist einfach zu bedienen und wendet sich an Einsteiger in die Digitalfotografie. Die
GUI ist in englisch, deutsch und spanisch verfügbar. 


%prep
%setup -q -n %{name}

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#drop this
rm -rf %{buildroot}%{_datadir}/applications/kornelix-%{name}.desktop

#menu entry
mkdir -p %buildroot%_datadir/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Fotoxx Image Editor
GenericName=Image Editor
Comment=Edit image files from a digital camera
Comment[de]=Editor für Bild-Dateien von digitalen Kameras
Exec=fotoxx
Icon=fotoxx
Type=Application
StartupNotify=true
Categories=Graphics;X-MandrivaLinux-Multimedia-Graphics;
Terminal=false
EOF

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
cp %{buildroot}%{_datadir}/%{name}/icons/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*
%{_datadir}/metainfo/kornelix.fotoxx.metainfo.xml

%changelog
* Mon Aug 21 2023 tex - 23.60-1pclos2023
- new version

* Sat Mar 25 2023 tex - 23.2-1pclos2023
- new version

* Thu Jan 19 2023 tex - 23.0-1pclos2023
- new version

* Fri Nov 18 2022 tex - 22.41-1pclos2022
- new version

* Fri Apr 02 2021 tex - 21.34-1pclos2021
- new version

* Fri Oct 23 2020 tex - 20.18-1pclos2020
- new version

* Sun Jul 05 2020 tex - 20.15-1pclos2020
- new version

* Mon May 25 2020 ghostbunny <ghostbunny at gmx dot de> 20.13-1pclos2020
- 20.13

* Thu May 07 2020 tex - 20.12-1pclos2020
- new version

* Sat Mar 14 2020 tex - 20.11-1pclos2020
- new version

* Sun Feb 23 2020 tex - 20.08-1pclos2020
- new version

* Fri Jan 31 2020 tex - 20.05-1pclos2020
- new version

* Mon Jan 20 2020 tex - 20.03-1pclos2020
- new version

* Sat Jan 04 2020 tex - 20.0-1pclos2020
- new version

* Thu Aug 22 2019 tex - 19.14-1pclos2019
- new version

* Fri May 10 2019 tex - 19.10-1pclos2019
- new version

* Fri May 10 2019 tex - 19.0-2pclos2019
- rebuild against updates

* Fri Nov 02 2018 tex - 19.0-1pclos2018
- new version

* Fri Sep 07 2018 tex - 18.07.1-1pclos2018
- new
